#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.5.1
visibility:           public
id:                   snap-core-1.0.5.1-DuFmUJ2EB6R6xiBtEgkags
key:                  snap-core-1.0.5.1-DuFmUJ2EB6R6xiBtEgkags
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  88123dd1bc1e428a331249a05e20a672
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing
    Snap.Internal.Util.FileServe Snap.Test Snap.Types.Headers
    Snap.Util.CORS Snap.Util.FileServe Snap.Util.FileUploads
    Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.2.8/site-local/snap-core-1.0.5.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/snap-core-1.0.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-snap-core
hs-libraries:         HSsnap-core-1.0.5.1-DuFmUJ2EB6R6xiBtEgkags
depends:
    HUnit-1.6.2.0-5hykmsvl02FAiEpCakZNiG
    attoparsec-0.14.4-FU2s2IQbUKDB3KL4mTNthi base-4.16.4.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-A5LsT2Hev12E0IVM96Pcon
    containers-0.6.5.1 directory-1.3.6.2 filepath-1.4.2.2
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    io-streams-1.5.2.2-5AzcTpMVLER98E2RUyjBuY
    lifted-base-0.2.3.12-E3byI5R2ZjdBBfIEgy1VPo
    monad-control-1.0.3.1-AX02qra1qxmHNghOyTYjz4 mtl-2.2.2
    network-3.1.4.0-1FkOptaLhcuI9vN2KGVpMl
    network-uri-2.6.4.2-DsSdNRnJpu3CNCDyneJBGn
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    random-1.2.1.2-2yOTI1eGVjLBW6Bhz23AwM
    readable-0.3.1-ELy7rHtD1IYJJNZUAgGrUz
    regex-posix-0.96.0.1-Genc39RUTH74GYzEFB6fWq text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    transformers-base-0.4.6-IOayaC279jG1puxw49VnQP
    unix-compat-0.7.1-I9tdCtvpVxQL8ZOr3tbbK6
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4
    vector-0.13.1.0-9yg0eXztERcX0p96OKbL

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

